﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RetailForce.Fiscalisation.Samples.FiscalServiceClientSample.Model
{
    public class SimpleItem
    {
        public string ItemId { get; set; }

        public string Caption { get; set; }

        public decimal Price { get; set; }

        public string EANCode { get; set; }

        public SimpleVat Vat { get; set; }

        public bool DepositOnEmpty { get; set; }

        public bool SinglePurposeVoucher { get; set; }

        public bool MultipurposeVoucher { get; set; }

        public bool CompanyTip { get; set; }

        public bool Tip { get; set; }

        public string QuantityUnit { get; set; }

        public override string ToString()
        {
            string eanCodeString = !string.IsNullOrEmpty(EANCode) ? $" ({EANCode})" : string.Empty;
            string depositOnEntryString = DepositOnEmpty ? " (DepositOnEntry)" : string.Empty;
            string quantityUnit = !string.IsNullOrEmpty(QuantityUnit) ? $" ({QuantityUnit})" : string.Empty;
            
            return $"{ItemId} - {Caption} - {Price:0.00}{quantityUnit} ({Vat.VatPercent:0.00}%){eanCodeString}{depositOnEntryString}";
        }
    }
}
